%define api 1.0
%define major 0
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name

Name: pyzy
Version: 0.1.0
Release: %mkrel 4
Summary:The Chinese PinYin and Bopomofo conversion library
License: LGPLv2+
Group: System/Internationalization
URL: http://code.google.com/p/pyzy
Source0: http://pyzy.googlecode.com/files/%{name}-%{version}.tar.gz
Source1: http://pyzy.googlecode.com/files/pyzy-database-1.0.0.tar.bz2
BuildRequires: pkgconfig(glib-2.0) >= 2.24.0
BuildRequires: pkgconfig(opencc)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(uuid)
BuildRequires: sqlite3-tools
Requires: pyzy-db = %{version}-%{release}

%description
The Chinese Pinyin and Bopomofo conversion library.

%package -n %{libname}
Summary:	Libraries for pyzy
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{libname}
The Chinese Pinyin and Bopomofo conversion library.

%package -n %{develname}
Summary:    Development tools for pyzy
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}

%description -n %{develname}
The pyzy-devel package contains the header files for pyzy.

%package    db-open-phrase
Summary:    The open phrase database for pyzy
Group:      System/Internationalization
BuildArch:  noarch
Provides:   pyzy-db

%description db-open-phrase
The phrase database for pyzy from open-phrase project.

%package    db-android
Summary:    The android phrase database for pyzy
Group:      System/Internationalization
BuildArch:  noarch
Provides:   pyzy-db

%description db-android
The phrase database for pyzy from android project.

%prep
%setup -q
cp %{SOURCE1} data/db/open-phrase

%build
%configure2_5x --disable-static \
           --enable-db-open-phrase \
           --enable-opencc
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/db/*

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/lib*%{api}.so.%{major}
%{_libdir}/lib*%{api}.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files db-open-phrase
%{_datadir}/%{name}/db/open-phrase.db

%files db-android
%{_datadir}/%{name}/db/android.db


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-4.mga4
+ Revision: 517807
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-3.mga3
+ Revision: 379773
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 0.1.0-2.mga3
+ Revision: 306002
- use configure2_5x

* Mon Oct 15 2012 fwang <fwang> 0.1.0-1.mga3
+ Revision: 305997
- update rpm group
- imported package pyzy

